/* Klassen für Farben */



.section-grey {background: grey}

.section-black {background: black}

.section-white {background: white;}

.section-light-grey {background: #eaeaea;}

.content-black {color: black}
.content-white {color: white}


/* Anpassungen für H1 */
h1 {
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
    font-size: 40px; 
   
}

/* Anpassungen für H2 */
h2 {
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    font-size: 30px;
    
}

/* Anpassungen für H3 */
h3 {
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    font-size: 24px;
    
}

/* Anpassungen für H4 */
h4 {
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    font-size: 18px;
    
}

/* Anpassungen für H5 */
h5 {
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    font-size: 16px;
    
}

/* Anpassungen für H6 */
h6 {
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    font-size: 12px;
   
}

/* Anpassungen für Überschriften auf dunklem Hintergrund */
.content-black h1,
.content-black h2,
.content-black h3,
.content-black h4,
.content-black h5,
.content-black h6 {
    color: black; /* Weiß für dunkle Hintergründe */
}



/* Klasse für Links  */
.border-orange .el-element a {

     border: 1px solid #fff;
   
} 

.border-orange .el-element a:hover {
     transform: scale(0.95);
     border: 1px solid #ffaa00; 
	    background-color: rgba(0, 0, 0, 0.05);
   
} 
/*Mobile Dialog Bar*/



#tm-dialog-mobile .uk-nav-sub  a { 

     border: 1px solid #fff;
   
} 
#tm-dialog-mobile .uk-nav-sub a:hover {
     border: 1px solid #ffaa00;
   
} 




/* Artists Frontpage */

.artist-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* Drei Elemente pro Zeile */
    
}



.artist-content {
    position: relative;
    overflow: hidden;
    width: 400px; /* Breite jedes Künstler-Containers */
    height: 400px; /* Höhe jedes Künstler-Containers */
    margin: auto; /* Zentriert den Container innerhalb des Grid-Elements */
}

.artist-content img {
    width: 100%;
    height: 100%;
    transition: top 0.5s ease;
    display: block;
    position: absolute;
    top: 0; /* Bildanfang am oberen Rand des Containers */
}

.artist-info {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    background: white;
    color: black;
    transition: top 0.5s ease;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 2;
    overflow: hidden;
}

.artist-content:hover img {
    top: -100%;
}

.artist-content:hover .artist-info {
    top: 0;
}

.artist-info p {
    padding: 15px;
    margin: 0;
    font-size: 1em;
}

.artist-content img {
    max-width: 100%;
    height: auto;
}


.artist-info h2 {
    color: #000000;
    margin: 0 0 10px;
    font-size: 1.2em; /* Angepasste Schriftgröße */
    font-weight: bold;
}

.artist-grid {
    display: flex;
    flex-wrap: wrap;
    
    gap: 0px; 
     /* Optional, für Abstand zwischen den Items */
}

.artist-item {
    flex: 1 1 auto; /* Flexibel in Größe und Wachstum */
    min-width: 250px; /* Minimale Breite eines Künstler-Items */
}

.artist-item .uk-container {
    padding-left: 0;
    padding-right: 0;
}

/* overlay slider Frontpage */
.my-custom-slider-frontpage .el-item.uk-cover-container{
    position: relative;
    min-height: 300px; /* Setzen Sie einen Mindestwert, der für Ihr Design geeignet ist */
}

.el-element  .uk-panel h3 {
    white-space: nowrap;
    overflow: hidden; /* Verhindert das Überlaufen des Textes */
    text-overflow: ellipsis; /* Fügt "..." hinzu, wenn der Text überläuft */
}
/* overlay slider Frontpage end */

/* artists-article-grid */

.artists-article-grid img {
    float: left;
    margin: 0px; 
	padding: 0px 10px 10px 0px;
    }

.artists-article-grid h4 {text-align: left; margin:0px 0px 5px 0px}

.artists-article-grid h2  {text-align: left;color: #82817c; font-weight: 400; }

.artists-article-grid p {  line-height: 1.2;
    font-size: 13px;
    margin: 0px;
    padding: 0px;
	text-align: justify}

/* artists-article-grid Ende*/

/*To-Top Button */
#backToTop {
    position: fixed;
    bottom: 20px;
    right: 20px;
    color: white; /* Textfarbe */
    border: none;
    padding: 10px 15px;
    opacity: 0.3; /* Start-Opazität */
    transition: opacity 0.3s; /* Sanfter Übergang der Opazität */
}

/* Erhöhte Opazität beim Hovern */
#backToTop:hover {
    
    opacity: 1; /* Volle Opazität beim Hovern */
}

/*To-Top Button Ende */


/* Hover-Effekt über Link */
a {
    transition: color 0.3s ease;
}
/* Stil für das Dropdown-Menü, um das Ausblenden zu verzögern */
.uk-navbar-nav > li {
    transition-delay: 0.5s ; /* Verzögert das Ausblenden des Dropdowns */
  
}


/* Home Image Effekt */
.image-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.small-images {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 0; /* Kein Abstand zwischen den Bildern */
}

.large-image img, .left-image img, .right-image img {
    max-width: 100%;
    height: auto;
}

@media (max-width: 1378px) {
    .large-image img {
        width: 100%;
    }
    .left-image img, .right-image img {
        width: auto; /* Ermöglicht eine Anpassung der Breite an die Bildschirmgröße */
    }
}


.image-container a {
    display: block;
    transition: all 0.3s ease;
}

.image-container a:hover {
    opacity: 0.7; /* Leicht transparent beim Hovern */
   
}

.image-container a img {
    transition: transform 0.3s ease;
}

.image-container a:hover img {
  	transform: scale(0.95);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.6); 
}




.image-container a img {
    border: 0px solid transparent; /* Kein sichtbarer Rand im normalen Zustand */
    transition: border 0.1s ease, transform 0.3s ease; /* Übergang für Rahmen und Transformation */
}

.image-container a:hover img {
    border: 2px solid #2064f7; /* Rahmen erscheint beim Hovern */
    
}


.content-area {
    height: 130px;
    overflow: hidden;
}

p {
  hyphens: auto;
}

.artist-grid {width: 100%; overflow-x: auto; }

.menu-three ul {
    display: flex;
    flex-wrap: wrap;
}
.menu-three li {
    width: 33.33%; /* Für drei Spalten */
    /* Weitere Stil-Anpassungen nach Bedarf */
}

.content-black .uk-text-lead {color: black}

.menu-none .yottie-widget-nav {
    display: none;
}


